[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Duplicity-talk] Problem with librsync.so ?

From: Michael Johnson
Subject: Re: [Duplicity-talk] Problem with librsync.so ?
Date: Mon, 1 May 2006 08:04:01 -0400

On May 1, 2006, at 12:20 AM, Ben Escoto wrote:

Michael Johnson <address@hidden>
wrote the following on Sun, 30 Apr 2006 23:30:31 -0400
Try ldd on _librsync.so.  Perhaps _librsync.so isn't the shared
library that cannot be opened---instead it could be some shared
library that _librsync.so depends on that can't be opened.

# ldd /usr/lib64/python2.3/site-packages/rdiff_backup/_librsync.so
         libpthread.so.0 => /lib64/tls/libpthread.so.0
         libc.so.6 => /lib64/tls/libc.so.6 (0x00002aaaaaced000)
         /lib64/ld-linux-x86-64.so.2 (0x0000555555554000)

I'd try re-installing if you keep having the problem.

I've already re-installed twice.

I don't know what went wrong, but _librsync.so should link to the
librsync library:

~/prog/duplicity/duplicity $ ldd /usr/lib64/python2.4/site-packages/ rdiff_backup/_librsync.so
        librsync.so.1 => /usr/lib64/librsync.so.1 (0x00002aaaaabe5000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaaacf1000)
        libc.so.6 => /lib64/libc.so.6 (0x00002aaaaae06000)
        libpopt.so.0 => /usr/lib64/libpopt.so.0 (0x00002aaaab03d000)
        libbz2.so.1 => /usr/lib64/libbz2.so.1 (0x00002aaaab145000)
        libz.so.1 => /usr/lib64/libz.so.1 (0x00002aaaab255000)
        /lib64/ld-linux-x86-64.so.2 (0x0000555555554000)

_librsync.so is just a wrapper duplicity uses to connect to the
librsync library.  Perhaps when you installed librsync, only the
static (not the shared) libraries were installed.

I installed from the RPM just as I did on the other three installations. Should I try installing from the tar.gz file with a make ; make install?


Q:  Because it reverses the logical flow of conversation
A:  Why is top posting frowned upon?

reply via email to

[Prev in Thread] Current Thread [Next in Thread]